Skip to content

Money Fund Trading

This endpoint is used for money fund product order operations, including subscription, redemption, cancellation, and query. The overall process and interfaces are:

  • Call the Place Order interface, which will return an order number
  • If you want to cancel, you can call the Cancel interface
  • When the order is reviewed, whether approved or rejected, instant message notifications will be sent through the Asynchronous Notification stream
  • Call the Query interface to get order details
  • For net asset value queries, see Money Fund NAV Query
  • All timestamps in requests and responses are expressed in UNIX seconds by default.

Place Order

HTTP Request

bash
POST /trade/v1/money-funds/orders/

Request Parameters

Parameter NameTypeRequiredDescription
symbolSTRINGYesFund product code.
order_typeENUMYesIndicates the type of order to place. See Type enum for supported values.
amountDECIMALYesAmount (in account settlement currency) for subscription, shares for redemption

cURL Request Example

bash
curl --location --request POST '{$base_url}/trade/v1/money-funds/orders' \
--header 'X-API-Key: YOUR_API_KEY' \
--header 'X-API-Signature: YOUR_GENERATED_SIGNATURE' \
--header 'X-API-Timestamp: 1759248000'
--data '{
  "order_type": 'subscribe',
  "symbol": "EFUSDFund",
  "amount": 120
}'

Success Response

Field NameTypeDescription
order_noSTRINGOrder number

Example

json
{
  "code": 0,
  "data": {
    "order_no": "25000000978"
  }
}

Error Response

Field NameTypeDescription
codeINTError code
messageSTRINGError message
detailsSTRINGAdditional details

Example

json
{
  "code": 11070302,
  "message": "Insufficient share"
}

Cancel

Submitted subscription/redemption orders: Cancellation must be done before 09:50 (UTC+0 time, the same below) on the nearest business day. After this time, cancellation is no longer allowed. For example:

  • If a user submits a subscription order at 00:00 on Monday, this order can be cancelled before 01:50 on the same day. After 01:50, it cannot be cancelled.
  • If a user submits a subscription order at 02:30 on Monday, this order can be cancelled before 01:50 on Tuesday.
  • If a user submits a subscription order at 12:00 on Friday, this order can be cancelled before 01:50 on the following Monday.

HTTP Request

bash
DELETE /trade/v1/money-funds/orders/

Request Parameters

Parameter NameTypeRequiredDescription
order_noSTRINGYesOrder number

cURL Request Example

bash
curl --location --request DELETE '{$base_url}/trade/v1/money-funds/orders' \
--header 'X-API-Key: YOUR_API_KEY' \
--header 'X-API-Signature: YOUR_GENERATED_SIGNATURE' \
--header 'X-API-Timestamp: 1759248000'
--data '{
  "order_no": '25000001967'
}'

Success Response

Field NameTypeDescription
order_noSTRINGOrder number

Example

json
{
  "code": 0
}

Error Response

Field NameTypeDescription
codeINTError code
messageSTRINGError message
detailsSTRINGAdditional details

Example

json
{
  "code": 11070432,
  "message": "Cancel failed, wrong order_status"
}

Query

HTTP Request

bash
GET /trade/v1/money-funds/orders/{order_no}

Request Parameters

Parameter NameTypeRequiredDescription
order_noSTRINGYesRoute parameter. Order number

cURL Request Example

bash
curl --location --request GET '{$base_url}/trade/v1/money-funds/orders/{order_no}'
--header 'X-API-Key: YOUR_API_KEY' \
--header 'X-API-Signature: YOUR_GENERATED_SIGNATURE' \
--header 'X-API-Timestamp: 1759253657'

Success Response

Field NameTypeDescription
order_noSTRINGOrder number
symbolSTRINGFund product code
order_typeENUMIndicates the type of order. See Type enum for supported values.
order_statusENUMOrder status. See Status enum for supported values.
amount_baseDECIMALSubscription application amount/redemption settlement amount (account settlement currency)
amount_fundDECIMALFund product amount
shareDECIMALShares
navDECIMALNet asset value
base_currencyDECIMALAccount settlement currency

Example

json
{
  "code": 0,
  "data": {
    "order": {
      "order_no": "25000001975",
      "symbol": "EFUSDFund",
      "order_type": "subscribe",
      "order_status": "approved",
      "amount_base": 120,
      "amount_fund": 120.0078,
      "share": 1.0265,
      "nav": 116.899
    }
  }
}

Error Response

Field NameTypeDescription
codeINTError code
messageSTRINGError message
detailsSTRINGAdditional details

Example

json
{
  "code": 11070501,
  "message": "Not found"
}

Asynchronous Notification

After placing an order, users can track order review updates in real time. Whether approved or rejected, instant messages will be pushed. To receive order review notifications, use WebSocket connection.

Order Status WebSocket Endpoint

To subscribe to order status updates, connect to the following WebSocket endpoint:

wss://{{base_url}}/ws/trade/v1

After connecting and authenticating, the server will push status updates for your active orders in real time.

WebSocket Order Callback

When an order is reviewed (e.g., approved, rejected), WebSocket will push the following fields:

Field NameTypeDescription
order_noSTRINGOrder number
symbolSTRINGFund product code
order_typeENUMIndicates the type of order. See Type enum for supported values.
order_statusENUMOrder status. See Status enum for supported values.
amount_baseDECIMALSubscription application amount/redemption settlement amount (account settlement currency)
amount_fundDECIMALFund product amount
shareDECIMALShares
navDECIMALNet asset value
base_currencyDECIMALAccount settlement currency

Approved Example (WebSocket Callback)

json
{
  "type": "money_fund_order",
  "data": {
    "order_no": "25000001978",
    "symbol": "EFUSDFund",
    "order_type": "subscribe",
    "order_status": "approved",
    "amount_base": 120,
    "amount_fund": 120.007799852995,
    "share": 1.0265,
    "nav": 116.899
  }
}

Rejected Example (WebSocket Callback)

json
{
  "type": "money_fund_order",
  "data": {
    "order_no": "25000001979",
    "symbol": "EFUSDFund",
    "order_type": "subscribe",
    "order_status": "failed",
    "amount_base": 120,
    "amount_fund": 119.995799852995,
    "share": 1.0264,
    "nav": 0
  }
}

Enumeration Types

Type

Purpose: Specifies the order operation type.

CodeDescription
noneNot specified
subscribeSubscription
redeemRedemption

Status

Purpose: Indicates order status

CodeDescription
noneNot specified
approvingPending approval
approvedApproved
cancelledCancelled
failedRejected
freezeFrozen